Show / Hide Table of Contents

# Struct RestResponse

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Net.Rest

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public struct RestResponse

### Constructors

| Improve this Doc View Source

#### RestResponse(HttpStatusCode, Dictionary<String, String>, Stream)

##### Declaration

    public RestResponse(HttpStatusCode statusCode, Dictionary<string, string> headers, Stream stream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Net.HttpStatusCode | statusCode |
System.Collections.Generic.Dictionary<System.String, System.String> | headers |
System.IO.Stream | stream |

### Properties

| Improve this Doc View Source

#### Headers

##### Declaration

    public Dictionary<string, string> Headers { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.String, System.String> |

| Improve this Doc View Source

#### StatusCode

##### Declaration

    public HttpStatusCode StatusCode { get; }

##### Property Value

Type | Description
--- | ---
System.Net.HttpStatusCode |

| Improve this Doc View Source

#### Stream

##### Declaration

    public Stream Stream { get; }

##### Property Value

Type | Description
--- | ---
System.IO.Stream |